Subject: bug#13226: 24.3.50; set-file-acl on MS Windows shall check ACL string format

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Dec 2012 18:56:15 +0200

> From: Romain Francoise <[email-masked]>
> Cc: Michael Albinus <[email-masked]>,  [email-masked],  [email-masked]
> Date: Wed, 19 Dec 2012 17:42:18 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think we are taking this feature out of proportions. It was supposed
> > to allow copying extended attributes from file to file; for that, we
> > don't need to care whether the ACL is trivial or not. But now we seem to
> > start down the road of trying to interpret the ACL, which would need
> > much more complex machinery. Do we really need that?
> 
> I agree with the sentiment, although it's not so much interpreting as just
> avoiding having to carry the ACL if it doesn't convey any interesting
> information...

Why avoid that in the first place?  It won't do any harm.

> And at least on GNU/Linux it's not a lot of code:

I don't think this is worth supporting on a single platform.  All it
does is save a single call to acl_set_file, which is not expensive
enough to avoid at the price of yet another system-dependent code
snippet.